import type { PropType } from "vue";
import type { INumberType } from "./types";

export function makeNumberProps() {
  return ({
    /**
     * 号码球的尺寸
     */
    size: {
      type: Number,
      default: 20,
    },
    /**
     * 号码球的颜色
     *   - 红球
     *   - 蓝球
     */
    type: {
      type: String as PropType<INumberType>,
      default: "red",
    },
  });
};
